Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/CheckedItemCollectionView.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/CheckedItemCollectionView.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/CheckedItemCollectionView.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/CheckedItemCollectionView.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/CheckedItemCollectionView.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/CheckedItemCollectionView.cs	(revision 7290)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/CheckedItemListView.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/CheckedItemListView.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/CheckedItemListView.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/CheckedItemListView.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/CheckedItemListView.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/CheckedItemListView.cs	(revision 7290)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/Clipboard.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/Clipboard.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/Clipboard.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/Clipboard.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/Clipboard.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/Clipboard.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/CreateParameterDialog.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/CreateParameterDialog.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/CreateParameterDialog.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/CreateParameterDialog.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/CreateParameterDialog.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/CreateParameterDialog.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/EngineView.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/EngineView.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/EngineView.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/EngineView.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/EngineView.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/EngineView.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemArrayView.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemArrayView.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemArrayView.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemArrayView.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemArrayView.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemArrayView.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemCollectionView.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemCollectionView.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemCollectionView.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemCollectionView.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemCollectionView.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemCollectionView.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemListView.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemListView.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemListView.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemListView.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemListView.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemListView.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemSetView.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemSetView.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemSetView.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemSetView.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemSetView.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemSetView.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemView.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemView.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemView.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemView.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemView.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ItemView.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/LogView.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/LogView.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/LogView.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/LogView.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/LogView.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/LogView.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/MovieView.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/MovieView.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/MovieView.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/MovieView.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/MovieView.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/MovieView.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/NamedItemCollectionView.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/NamedItemCollectionView.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/NamedItemCollectionView.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/NamedItemCollectionView.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/NamedItemCollectionView.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/NamedItemCollectionView.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -77,4 +77,11 @@
       return listViewItem;
     }
+    protected override void UpdateListViewItemText(ListViewItem listViewItem) {
+      base.UpdateListViewItemText(listViewItem);
+      T item = listViewItem.Tag as T;
+      if ((item != null) && !string.IsNullOrEmpty(item.Description)) {
+        listViewItem.ToolTipText = item.ItemName + ": " + item.Description;
+      }
+    }
 
     #region ListView Events
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/NamedItemView.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/NamedItemView.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/NamedItemView.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/NamedItemView.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/NamedItemView.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/NamedItemView.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,7 +26,4 @@
 
 namespace HeuristicLab.Core.Views {
-  /// <summary>
-  /// The visual representation of a <see cref="Variable"/>.
-  /// </summary>
   [View("NamedItem View")]
   [Content(typeof(NamedItem), false)]
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorCollectionView.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorCollectionView.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorCollectionView.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorCollectionView.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorCollectionView.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorCollectionView.cs	(revision 7290)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorGraphView.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorGraphView.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorGraphView.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorGraphView.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorGraphView.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorGraphView.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorListView.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorListView.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorListView.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorListView.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorListView.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorListView.cs	(revision 7290)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorSetView.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorSetView.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorSetView.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorSetView.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorSetView.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorSetView.cs	(revision 7290)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorTreeView.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorTreeView.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorTreeView.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorTreeView.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorTreeView.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorTreeView.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorsSidebar.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorsSidebar.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorsSidebar.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorsSidebar.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorsSidebar.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/OperatorsSidebar.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ParameterCollectionView.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ParameterCollectionView.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ParameterCollectionView.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ParameterCollectionView.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ParameterCollectionView.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ParameterCollectionView.cs	(revision 7290)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ParameterizedNamedItemView.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ParameterizedNamedItemView.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ParameterizedNamedItemView.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ParameterizedNamedItemView.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ParameterizedNamedItemView.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ParameterizedNamedItemView.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/Plugin.cs.frame
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/Plugin.cs.frame	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/Plugin.cs.frame	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,5 +26,5 @@
   /// Plugin class for HeuristicLab.Core.Views plugin.
   /// </summary>
-  [Plugin("HeuristicLab.Core.Views", "3.3.5.$WCREV$")]
+  [Plugin("HeuristicLab.Core.Views", "3.3.6.$WCREV$")]
   [PluginFile("HeuristicLab.Core.Views-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Collections", "3.3")]
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/Properties/AssemblyInfo.cs.frame	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/Properties/AssemblyInfo.cs.frame	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -32,5 +32,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2011 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2012 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -54,3 +54,3 @@
 // by using the '*' as shown below:
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.5.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.6.$WCREV$")]
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ScopeListView.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ScopeListView.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ScopeListView.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ScopeListView.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ScopeListView.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ScopeListView.cs	(revision 7290)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ScopeView.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ScopeView.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ScopeView.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ScopeView.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ScopeView.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ScopeView.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/TextDialog.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/TextDialog.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/TextDialog.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/TextDialog.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/TextDialog.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/TextDialog.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/TypeSelector.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/TypeSelector.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/TypeSelector.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/TypeSelector.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/TypeSelector.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/TypeSelector.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/TypeSelectorDialog.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/TypeSelectorDialog.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/TypeSelectorDialog.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/TypeSelectorDialog.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/TypeSelectorDialog.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/TypeSelectorDialog.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ValueParameterCollectionView.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ValueParameterCollectionView.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ValueParameterCollectionView.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ValueParameterCollectionView.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ValueParameterCollectionView.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/ValueParameterCollectionView.cs	(revision 7290)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/VariableCollectionView.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/VariableCollectionView.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/VariableCollectionView.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/VariableCollectionView.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/VariableCollectionView.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/VariableCollectionView.cs	(revision 7290)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/VariableValueView.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/VariableValueView.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/VariableValueView.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -45,25 +45,43 @@
     /// </summary>
     private void InitializeComponent() {
+      this.components = new System.ComponentModel.Container();
       this.viewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
+      this.infoLabel = new System.Windows.Forms.Label();
+      this.toolTip = new System.Windows.Forms.ToolTip(this.components);
       this.SuspendLayout();
       // 
       // viewHost
       // 
+      this.viewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.viewHost.Caption = "View";
       this.viewHost.Content = null;
-      this.viewHost.Dock = System.Windows.Forms.DockStyle.Fill;
       this.viewHost.Enabled = false;
       this.viewHost.Location = new System.Drawing.Point(0, 0);
       this.viewHost.Name = "viewHost";
       this.viewHost.ReadOnly = false;
-      this.viewHost.Size = new System.Drawing.Size(359, 274);
+      this.viewHost.Size = new System.Drawing.Size(334, 274);
       this.viewHost.TabIndex = 0;
+      this.viewHost.ViewsLabelVisible = true;
       this.viewHost.ViewType = null;
+      // 
+      // infoLabel
+      // 
+      this.infoLabel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
+      this.infoLabel.Image = HeuristicLab.Common.Resources.VSImageLibrary.Information;
+      this.infoLabel.Location = new System.Drawing.Point(340, 3);
+      this.infoLabel.Name = "infoLabel";
+      this.infoLabel.Size = new System.Drawing.Size(16, 16);
+      this.infoLabel.TabIndex = 1;
+      this.toolTip.SetToolTip(this.infoLabel, "Double-click to open description editor.");
+      this.infoLabel.DoubleClick += new System.EventHandler(this.infoLabel_DoubleClick);
       // 
       // VariableValueView
       // 
+      this.AllowDrop = true;
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.AllowDrop = true;
+      this.Controls.Add(this.infoLabel);
       this.Controls.Add(this.viewHost);
       this.Name = "VariableValueView";
@@ -79,4 +97,6 @@
 
     protected MainForm.WindowsForms.ViewHost viewHost;
+    private System.Windows.Forms.Label infoLabel;
+    private System.Windows.Forms.ToolTip toolTip;
 
   }
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/VariableValueView.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/VariableValueView.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/VariableValueView.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,16 +25,10 @@
 
 namespace HeuristicLab.Core.Views {
-  /// <summary>
-  /// The visual representation of a <see cref="Variable"/>.
-  /// </summary>
   [View("Variable Value View")]
   [Content(typeof(Variable), false)]
   [Content(typeof(IVariable), false)]
   public partial class VariableValueView : ItemView {
-    /// <summary>
-    /// Gets or sets the variable to represent visually.
-    /// </summary>
-    /// <remarks>Uses property <see cref="ViewBase.Item"/> of base class <see cref="ViewBase"/>.
-    /// No own data storage present.</remarks>
+    private const string infoLabelToolTipSuffix = "Double-click to open description editor.";
+
     public new IVariable Content {
       get { return (IVariable)base.Content; }
@@ -42,26 +36,18 @@
     }
 
-    /// <summary>
-    /// Initializes a new instance of <see cref="VariableView"/> with caption "Variable".
-    /// </summary>
     public VariableValueView() {
       InitializeComponent();
     }
 
-    /// <summary>
-    /// Removes the eventhandlers from the underlying <see cref="Variable"/>.
-    /// </summary>
-    /// <remarks>Calls <see cref="ViewBase.RemoveItemEvents"/> of base class <see cref="ViewBase"/>.</remarks>
     protected override void DeregisterContentEvents() {
+      Content.NameChanged -= new EventHandler(Content_NameChanged);
+      Content.DescriptionChanged -= new EventHandler(Content_DescriptionChanged);
       Content.ValueChanged -= new EventHandler(Content_ValueChanged);
       base.DeregisterContentEvents();
     }
-
-    /// <summary>
-    /// Adds eventhandlers to the underlying <see cref="Variable"/>.
-    /// </summary>
-    /// <remarks>Calls <see cref="ViewBase.AddItemEvents"/> of base class <see cref="ViewBase"/>.</remarks>
     protected override void RegisterContentEvents() {
       base.RegisterContentEvents();
+      Content.NameChanged += new EventHandler(Content_NameChanged);
+      Content.DescriptionChanged += new EventHandler(Content_DescriptionChanged);
       Content.ValueChanged += new EventHandler(Content_ValueChanged);
     }
@@ -71,10 +57,36 @@
       if (Content == null) {
         viewHost.Content = null;
+        toolTip.SetToolTip(infoLabel, string.Empty);
+        if (ViewAttribute.HasViewAttribute(this.GetType()))
+          this.Caption = ViewAttribute.GetViewName(this.GetType());
+        else
+          this.Caption = "VariableValue View";
       } else {
         viewHost.ViewType = null;
         viewHost.Content = Content.Value;
+        toolTip.SetToolTip(infoLabel, string.IsNullOrEmpty(Content.Description) ? infoLabelToolTipSuffix : Content.Description + Environment.NewLine + Environment.NewLine + infoLabelToolTipSuffix);
+        Caption = Content.Name;
       }
     }
 
+    protected override void SetEnabledStateOfControls() {
+      base.SetEnabledStateOfControls();
+      viewHost.Enabled = Content != null;
+      viewHost.ReadOnly = this.ReadOnly;
+      infoLabel.Enabled = Content != null;
+    }
+
+    protected virtual void Content_NameChanged(object sender, EventArgs e) {
+      if (InvokeRequired)
+        Invoke(new EventHandler(Content_NameChanged), sender, e);
+      else
+        Caption = Content.Name;
+    }
+    protected virtual void Content_DescriptionChanged(object sender, EventArgs e) {
+      if (InvokeRequired)
+        Invoke(new EventHandler(Content_DescriptionChanged), sender, e);
+      else
+        toolTip.SetToolTip(infoLabel, string.IsNullOrEmpty(Content.Description) ? infoLabelToolTipSuffix : Content.Description + Environment.NewLine + Environment.NewLine + infoLabelToolTipSuffix);
+    }
     protected virtual void Content_ValueChanged(object sender, EventArgs e) {
       if (InvokeRequired)
@@ -103,4 +115,10 @@
       }
     }
+    protected virtual void infoLabel_DoubleClick(object sender, EventArgs e) {
+      using (TextDialog dialog = new TextDialog("Description of " + Content.Name, Content.Description, ReadOnly || !Content.CanChangeDescription)) {
+        if (dialog.ShowDialog(this) == DialogResult.OK)
+          Content.Description = dialog.Content;
+      }
+    }
   }
 }
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/VariableView.Designer.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/VariableView.Designer.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/VariableView.Designer.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/VariableView.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/VariableView.cs	(revision 7255)
+++ branches/RegressionBenchmarks/HeuristicLab.Core.Views/3.3/VariableView.cs	(revision 7290)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
